(************** Content-type: application/mathematica **************
                  CreatedBy='Teacher's Edition 1.0'

              Mathematica Teacher's Edition Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader, or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application; or

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF, or CRLF (Macintosh, Unix, or MS-DOS style, respectively).

NOTE: If you modify the data for this notebook but not in a 
Mathematica-compatible application, you must delete the line below 
containing the word CacheID, otherwise the application may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[      9546,        260]*)
(*NotebookOutlinePosition[     10239,        284]*)
(*  CellTagsIndexPosition[     10195,        280]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    \(Plot[Sin[x], {x, \(-Pi\), Pi}, PlotStyle \[Rule] Hue[0.5]]\)], "Input"],

Cell[BoxData[
    \(Plot[Sin[x], {x, \(-Pi\), Pi}, PlotStyle \[Rule] Hue[0]]\)], "Input"],

Cell[BoxData[{
    \(\(plotstyle = {{RGBColor[1, 0, 0], 
            Thickness[0.02]}, {RGBColor[0, 0, 1], Thickness[0.01], 
            Dashing[{0.05, 0.02}]}};\)\), "\[IndentingNewLine]", 
    \(stylsinu = plotstyle[\([2]\)]\), "\[IndentingNewLine]", 
    \(stylkosinu = plotstyle[\([1]\)]\)}], "Input"],

Cell[BoxData[{
    \(pomx = Table[i, {i, \(-2\), 2, 0.05}]\), "\[IndentingNewLine]", 
    \(pomy = Table[i, {i, 0.8, 1, 0.005}]\)}], "Input"],

Cell[BoxData[
    \(Plot[{Cos[x], Sin[x]}, {x, \(-Pi\), Pi}, 
      PlotStyle \[Rule] {stylkosinu, stylsinu}, 
      AxesLabel \[Rule] {"\<x\>", "\<f1[x],f2[x]\>"}, 
      PlotRange \[Rule] {{\(-2\), 2}, {0.8, 1}}, AxesOrigin \[Rule] {0, 0.8}, 
      GridLines \[Rule] {pomx, pomy}]\)], "Input"],

Cell[BoxData[
    \(Plot[{Cos[x], Sin[x]}, {x, \(-Pi\), Pi}, 
      PlotStyle \[Rule] {stylkosinu, stylsinu}, 
      AxesLabel \[Rule] {"\<x\>", "\<f1[x],f2[x]\>"}, 
      PlotRange \[Rule] {{\(-2\), 2}, {0.8, 1}}, AxesOrigin \[Rule] {0, 0.8}, 
      GridLines \[Rule] {{\(-2\), 0, 2}, {0.8, 0.85, 0.9, 0.95, 
            1}}]\)], "Input"],

Cell[BoxData[
    \(Ticks \[Rule] {{0, \[Pi]\/2, \[Pi], \(3\ \[Pi]\)\/2, 2\ \[Pi]}, 
        Automatic}\)], "Input"],

Cell[BoxData[
    \(bodynax = Table[i*Pi/8, {i, \(-2\), 2}]\)], "Input"],

Cell[BoxData[
    \(Plot[{Cos[x], Sin[x]}, {x, \(-Pi\), Pi}, 
      PlotStyle \[Rule] {stylkosinu, stylsinu}, 
      AxesLabel \[Rule] {"\<x\>", "\<f1[x],f2[x]\>"}, 
      PlotRange \[Rule] {{\(-2\), 2}, {0.8, 1}}, AxesOrigin \[Rule] {0, 0.8}, 
      GridLines \[Rule] {{\(-2\), 0, 2}, {0.8, 0.85, 0.9, 0.95, 1}}, 
      Ticks \[Rule] {bodynax, Automatic}]\)], "Input"],

Cell[BoxData[
    \(Plot[{x, x\^3, x\^5, x\^7, x\^9, x\^11, x\^13, x\^15, x\^17, 
        x\^19}, {x, \(-1\), 1}]\)], "Input"],

Cell[BoxData[{
    \(\(nmocnin = 10;\)\), "\[IndentingNewLine]", 
    \(\(barvicky = 
        Table[{Hue[i], Thickness[0.005]}, {i, 0, 0.8, 
            0.8  nmocnin\^\(-1\)}];\)\), "\[IndentingNewLine]", 
    \(\(mocniny = 
        Table[x\^\(2*i - 1\), {i, nmocnin}];\)\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[mocniny], {x, \(-1\), 1}, PlotRange \[Rule] All, 
      PlotStyle -> barvicky, 
      AxesLabel \[Rule] {"\<x\>", \*"\"\<\!\(x\^\(2  i + 1\)\)\>\""}]\)}], \
"Input"],

Cell[BoxData[
    \(\(\(??\)\(Plot\)\(\[IndentingNewLine]\)\)\)], "Input"],

Cell[BoxData[
    \(x = 5\)], "Input"],

Cell[BoxData[{
    \(Clear[x]\), "\[IndentingNewLine]", 
    \(Table[
      Plot[Evaluate[mocniny[\([i]\)]], {x, \(-1\), 1}, PlotRange \[Rule] All, 
        PlotStyle -> barvicky[\([i]\)], 
        AxesLabel \[Rule] {"\<x\>", x\^\(2  i + 1\)}], {i, 
        nmocnin}]\)}], "Input"],

Cell[BoxData[{
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(\(barvicky = 
        Table[{Hue[i], Thickness[0.005]}, {i, 0, 0.8, 
            0.8  n\^\(-1\)}];\)\), "\[IndentingNewLine]", 
    \(\(primky = Table[x + i, {i, n}];\)\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[primky], {x, \(-1\), 1}, PlotRange \[Rule] All, 
      PlotStyle -> barvicky, 
      AxesLabel \[Rule] {"\<x\>", "\<x+i\>"}]\)}], "Input"],

Cell[BoxData[{
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(\(barvicky = 
        Table[{Hue[i], Thickness[0.005]}, {i, 0, 0.8, 
            0.8  n\^\(-1\)}];\)\), "\[IndentingNewLine]", 
    \(\(primky = Table[i + x, {i, n}];\)\), "\[IndentingNewLine]", 
    \(Table[
      Plot[Evaluate[primky[\([i]\)]], {x, \(-1\), 1}, 
        PlotRange \[Rule] {Automatic, {0, n + 1}}, 
        PlotStyle -> barvicky[\([i]\)], 
        AxesLabel \[Rule] {"\<x\>", TraditionalForm[i + x]}], {i, 
        n}]\)}], "Input"],

Cell[BoxData[
    \(\(Table[
        ParametricPlot[{t*Cos[t], t*Sin[t]}, {t, 0, i*\[Pi]}, 
          AspectRatio \[Rule] Automatic, PlotStyle \[Rule] Hue[1/i], 
          PlotRange \[Rule] {{\(-10\) Pi, 10  Pi}, {\(-10\) Pi, 
                10  Pi}}], {i, 10}];\)\)], "Input"],

Cell[BoxData[
    \(\(Plot3D[Sin[x\ y], {x, 0, 4}, {y, 0, 4}, PlotPoints \[Rule] 80, 
        Mesh \[Rule] False, FaceGrids \[Rule] All, 
        AxesLabel \[Rule] {"\<Length\>", "\<Width\>", "\<Height\>"}, 
        ViewPoint -> {1.467, \ \(-2.707\), \ \(-1.403\)}];\)\)], "Input"],

Cell[BoxData[
    \(\(ParametricPlot3D[{Cos[5  t], Sin[3  t], Sin[t]}, {t, 0, 2  \[Pi]}, 
        PlotPoints \[Rule] 180];\)\)], "Input"],

Cell[BoxData[
    \(\(ParametricPlot3D[{Sin[t] Sin[f], Sin[t] Cos[f], Cos[t]}, {t, 0, 
          2  \[Pi]}, {f, 0, 2  \[Pi]}, PlotPoints \[Rule] 30, 
        ViewPoint -> {0.021, \ \(-0.040\), \ \(-3.383\)}];\)\)], "Input"],

Cell[BoxData[{
    \(\(zasumelemereni = 
        Table[{x, x\^2 + 0.9  Random[] + 0.5  x}, {x, \(-1\), 2, 
            0.1}];\)\), "\[IndentingNewLine]", 
    \(plot1 = 
      ListPlot[zasumelemereni, 
        PlotStyle \[Rule] {PointSize[0.02], 
            Hue[0]}]\), "\[IndentingNewLine]", 
    \(nahrada = 
      Fit[zasumelemereni, {1, x, x\^2}, x]\), "\[IndentingNewLine]", 
    \(\(plot2 = Plot[nahrada, {x, \(-1\), 2}];\)\), "\[IndentingNewLine]", 
    \(Show[plot1, plot2]\)}], "Input"],

Cell[BoxData[
    \(Series[Exp[x], {x, 0, 5}]\)], "Input"],

Cell[BoxData[
    \(Solve[\[ExponentialE]\^\(2  x\) + \[ExponentialE]\^x \[Equal] 1, 
      x]\)], "Input"],

Cell[BoxData[
    \(Solve[\[ExponentialE]\^\(2  x\) + x \[Equal] 2, x]\)], "Input"],

Cell[BoxData[
    \(<< Algebra`InequalitySolve`\)], "Input"],

Cell[BoxData[
    \(InequalitySolve[x\ \((x^2 - 2)\)\ \((x^2 - 3)\) > 0, x]\)], "Input"],

Cell[BoxData[
    \(\(?||\)\)], "Input"],

Cell[BoxData[{
    \(\(leva = Abs[2  x - 1] + Abs[1 - 8  x];\)\), "\[IndentingNewLine]", 
    \(\(prava = 15;\)\), "\[IndentingNewLine]", 
    \(InequalitySolve[leva > prava, x]\), "\[IndentingNewLine]", 
    \(Plot[{leva, prava}, {x, \(-5\), 5}, PlotPoints \[Rule] 200]\)}], "Input"],

Cell[BoxData[
    \(<< Graphics`Graphics`\)], "Input"],

Cell[BoxData[
    \(ImplicitPlot[
      Sin[2\ x] + Cos[3\ y] \[Equal] 1, {x, \(-2\)\ Pi, 
        2\ Pi}, {y, \(-2\)\ Pi, 2\ Pi}, PlotPoints \[Rule] 300]\)], "Input"],

Cell[BoxData[{
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(\(fce = Sin[x];\)\), "\[IndentingNewLine]", 
    \(\(nahrady = 
        Table[Normal[Series[fce, {x, 0, i}]], {i, 
            n}];\)\), "\[IndentingNewLine]", 
    \(Table[
      Plot[{fce, nahrady[\([i]\)]}, {x, 0, 2  Pi}, 
        PlotRange \[Rule] {Automatic, {\(-2\), 2}}, 
        PlotStyle \[Rule] {{Thickness[0.005], 
              GrayLevel[0]}, {Thickness[0.005], Hue[0]}}, 
        AxesLabel \[Rule] {"\<x\>", i}], {i, n}]\)}], "Input"],

Cell[BoxData[{
    \(\(n = 30;\)\), "\[IndentingNewLine]", 
    \(\(barvicky = 
        Table[{Hue[i], Thickness[0.005]}, {i, 0, 0.8, 
            0.8 \((n + 1)\)\^\(-1\)}];\)\), "\[IndentingNewLine]", 
    \(\(fce = Sin[x];\)\), "\[IndentingNewLine]", 
    \(\(nahrady = 
        Table[Normal[Series[fce, {x, 0, i}]], {i, 
            n}];\)\), "\[IndentingNewLine]", 
    \(\(nahrady = Append[nahrady, fce];\)\), "\[IndentingNewLine]", 
    \(Plot[Evaluate[nahrady], {x, 0, 2  Pi}, 
      PlotRange \[Rule] {Automatic, {\(-2\), 2}}, PlotStyle \[Rule] barvicky, 
      AxesLabel \[Rule] {"\<x\>", "\<y\>"}]\)}], "Input"],

Cell[BoxData[
    \(DSolve[\(y'\)[x] + 5  y[x] \[Equal] Sin[x], y[x], x]\)], "Input"],

Cell[BoxData[
    \(DSolve[{\(y'\)[x] + 5  y[x] \[Equal] Sin[x], y[0] \[Equal] 5}, y[x], 
      x]\)], "Input"],

Cell[BoxData[
    \(osklivafce[x_] = \(Interpolation[zasumelemereni]\)[x]\)], "Input"],

Cell[BoxData[
    \(NDSolve[{\(y'\)[x] + Sin[x]*osklivafce[x]*y[x] \[Equal] 1, 
        y[\(-1\)] \[Equal] 5}, y[x], {\(-1.`\), 2.`}]\)], "Input"]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 688}},
WindowSize->{873, 658},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2
]

(*******************************************************************
Cached data follows.  If you edit this notebook file directly, not
using a Mathematica-compatible application, you must remove the line 
containing CacheID at the top of  the file.  The cache data will 
then be recreated when you save this file from within the 
application.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1764, 51, 91, 1, 55, "Input"],
Cell[1858, 54, 89, 1, 55, "Input"],
Cell[1950, 57, 305, 5, 191, "Input"],
Cell[2258, 64, 141, 2, 89, "Input"],
Cell[2402, 68, 295, 5, 191, "Input"],
Cell[2700, 75, 339, 6, 225, "Input"],
Cell[3042, 83, 116, 2, 82, "Input"],
Cell[3161, 87, 72, 1, 55, "Input"],
Cell[3236, 90, 369, 6, 259, "Input"],
Cell[3608, 98, 126, 2, 91, "Input"],
Cell[3737, 102, 484, 10, 231, "Input"],
Cell[4224, 114, 74, 1, 89, "Input"],
Cell[4301, 117, 38, 1, 55, "Input"],
Cell[4342, 120, 281, 6, 159, "Input"],
Cell[4626, 128, 420, 8, 227, "Input"],
Cell[5049, 138, 515, 11, 329, "Input"],
Cell[5567, 151, 278, 5, 191, "Input"],
Cell[5848, 158, 281, 4, 157, "Input"],
Cell[6132, 164, 137, 2, 89, "Input"],
Cell[6272, 168, 223, 3, 123, "Input"],
Cell[6498, 173, 496, 11, 263, "Input"],
Cell[6997, 186, 58, 1, 55, "Input"],
Cell[7058, 189, 107, 2, 57, "Input"],
Cell[7168, 193, 83, 1, 57, "Input"],
Cell[7254, 196, 60, 1, 55, "Input"],
Cell[7317, 199, 88, 1, 55, "Input"],
Cell[7408, 202, 40, 1, 55, "Input"],
Cell[7451, 205, 284, 4, 157, "Input"],
Cell[7738, 211, 54, 1, 55, "Input"],
Cell[7795, 214, 167, 3, 89, "Input"],
Cell[7965, 219, 513, 11, 327, "Input"],
Cell[8481, 232, 621, 12, 363, "Input"],
Cell[9105, 246, 85, 1, 55, "Input"],
Cell[9193, 249, 111, 2, 89, "Input"],
Cell[9307, 253, 86, 1, 55, "Input"],
Cell[9396, 256, 146, 2, 89, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Teacher's Edition notebook file.
*******************************************************************)

